import { ReactNode } from 'react';
import TableStore from './TableStore';
import Record from '../data-set/Record';
export default class VirtualRowMetaData {
    store: TableStore;
    prev?: VirtualRowMetaData | undefined;
    next?: VirtualRowMetaData | undefined;
    actualHeight?: number;
    record?: Record;
    type: 'row' | 'group';
    groupLevel?: number;
    aggregation?: boolean;
    node?: ReactNode;
    get height(): number;
    get offset(): number;
    constructor(store: TableStore, type: 'row' | 'group', prev?: VirtualRowMetaData, record?: Record);
    setHeight(height: number): void;
}
